## Course Information

CS 220 - Software Development

Participants will learn modern tools and practices to design and develop large
systems in teams such as integrated development environments, build systems,
testing, version control, and issue Tracking.

4 cr.

Requisites: complete CS-102 or IT-102 or CS-171 (introductory programming course)

### Objectives

* Able to identify a project's license.
* Able to distinguish between a permissive and a non-permissive open source license.
* Able to identify the rights granted by a typical open source license.
* Able to work in small teams using the Scrum Framework and employing Agile Principles.
* Able to contribute changes through standard workflows using Git, GitLab, and GitLab's issue tracker.
* Able to use Docker and Docker Compose to build, run, and manage containers and images.
* Able to write automated tests using Test Driven Development practices.
* Able to improve code based on Clean Code principles.
